SDL_HINT_RENDER_DIRECT3D11_DEBUG(3)

NAME
SDL_HINT_RENDER_DIRECT3D11_DEBUG - A variable controlling whether to enable Direct3D 11+'s Debug Layer.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_RENDER_DIRECT3D11_DEBUG SDL_RENDER_DIRECT3D11_DEBUG"

DESCRIPTION
This variable does not have any effect on the Direct3D 9 based renderer.

The variable can be set to the following values:

• "0": Disable Debug Layer use. (default)

• "1": Enable Debug Layer use.

This hint should be set before creating a renderer.

AVAILABILITY
This hint is available since SDL 3.2.0.